document.addEventListener('DOMContentLoaded', function() {
  const yesBtn = document.getElementById('yesBtn');
  const noBtn = document.getElementById('noBtn');
  const toolsSection = document.getElementById('toolsSection');

  yesBtn.addEventListener('click', function() {
    toolsSection.classList.remove('hidden');
  });

  noBtn.addEventListener('click', function() {
    alert("This tool is designed for entrepreneurs. Come back when you're ready to start your journey!");
  });
});

function calculateListGrowth() {
  const listSize = document.getElementById('listSize').value;
  const growth = listSize * 1.2; // 20% growth
  document.getElementById('listResult').textContent = `Projected list size: ${Math.round(growth)}`;
}

function calculateConversionRate() {
  const visitors = document.getElementById('visitors').value;
  const conversions = document.getElementById('conversions').value;
  const rate = (conversions / visitors) * 100;
  document.getElementById('conversionResult').textContent = `Conversion rate: ${rate.toFixed(2)}%`;
}

function calculateROI() {
  const investment = document.getElementById('investment').value;
  const revenue = document.getElementById('revenue').value;
  const roi = ((revenue - investment) / investment) * 100;
  document.getElementById('roiResult').textContent = `ROI: ${roi.toFixed(2)}%`;
}